# N-body system within the PCHPC course project 2022

Goals:
- Simulation of an N-Body Solar System
- Dynamics of a spacecraft performing an interplanetary / deep space mission
using a gravitational Assist / Swing-by maneuver
- parallelize using MPI

## Name
N-Body solar system with Swing-by

## Build using Makefile
the makefile should perform the correct compiling with mpi using mpic++.
Sometimes a clean up is helpful:
>>> make clean
>>> make

if manually comiled, make sure to link the SDL library:
-I include -l SDL2

# Packages
for visualization, SDL library is needed. It might be possible to install via brew install SDL. Otherwise, install from:
https://www.libsdl.org

## Usage
Simply execute the programm and the simulation of the solar system starts. If branch is not the no_anim branch, an SDL window pops up and shows simulation. Make sure to have SDL library installed -> see packages.

## Authors
Aaron Nagel (aaron.nagel@stud.uni-goettingen.de)
Yannik Feldner (yannik.feldner@stud.uni-goettingen.de)
