
#ifndef ANIM_H
#define ANIM_H

#include <SDL2/SDL.h>
#include "body.h"


//--------- Simulations-Parameter -----------------------------------
// Window size:
const int height = 1200;
const int width = 1200;
// centre of coord. system
const int ORIGx = width/2;
const int ORIGy = height/2;

// scalefactor:
const double scale = (height/2.0) / (2.5*8.8);
// simulation speed
const double speed = 2000;     // timesteps delta_t per second


class Anim{
    public:


    SDL_Window *window;                    // Declare a window
    SDL_Renderer *renderer;                // Declare a renderer

    int done;
    double start;   // used for timing in event loop for frame rate
    double end;   // used for timing in event loop for frame rate


    void create();
    void init();
    void destroy();

    void doRender(SDL_Renderer *renderer, Object *P, int timestep);
    int processEvents(SDL_Window *window, Object *P);
    void DrawCircle(SDL_Renderer * renderer, int32_t centreX, int32_t centreY, int32_t radius);
    //void Anim::DrawCircle(SDL_Renderer *renderer, int x, int y, int radius, SDL_Color color);


};




#endif
