#ifndef BODY_H
#define BODY_H

#include <math.h>

//==================================================================//
// Definition of the object class and the corresponding type.		//
//==================================================================//

/* Define the different possible Object classes */
typedef enum{

	SUN,
	PLANET,
	ASTROID,
	ROCKET

} Object_class;


class Object{
    public:

    const int *color;
    const char *name;

    double x;   // positions
    double y;
    double u;   // velocities
    double v;
    double ax;  // acceleration
    double ay;
    double radius;
    double mass;

    int pxl_x;
    int pxl_y;
    int anim_radius;
    Object_class type;
    int orbit_transit;

    int orbit_size = 4000;
	double orbit_x[4000];
    double orbit_y[4000];
	// double *orbit_x;
    // double *orbit_y;


    void create();
    void init(const char *name, double x0, double y0, double u0,
        double v0, double r, double m, const int *col, int anim_r, Object_class init_type);


    void destroy();

};

#endif
